| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
WaveletAttrib Class Reference
Seis

`#include <waveletattrib.h>`

## Public Member Functions
| WaveletAttrib (const Wavelet &)
| ~WaveletAttrib ()
void | applyFreqWindow (const ArrayNDWindow &, int padfac, Array1DImpl< float > &)
float | getAvgPhase (bool degree=false) const
void | getCosTapered (float *, float) const
bool | getFreqFiltered (float *, float f1, float f2, float f3, float f4) const
void | getFrequency (Array1DImpl< float > &, int padfac=1)
void | getHilbert (Array1DImpl< float > &) const
void | getPhase (Array1DImpl< float > &, bool degree=false) const
void | getPhaseRotated (float *, float phase) const
bool | isNormalPolarity () const
void | setNewWavelet (const Wavelet &)
void | transform (Array1D< float_complex > &, int sz=-1)

## Static Public Member Functions
static void | muteZeroFrequency (Array1DImpl< float > &)
static void | transformBack (const Array1D< float_complex > &fftwvlt, Array1D< float > &wvlt)
static void | unwrapPhase (int nrsamples, float wrapparam, float *phase)

## Protected Member Functions
void | getWaveletArrForPhase (Array1DImpl< float > &) const

## Protected Attributes
int | centersample_
float | sr_
Array1DImpl< float > * | wvltarr_
int | wvltsz_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ WaveletAttrib()

WaveletAttrib::WaveletAttrib | ( | const Wavelet & |  | ) |

## ◆ ~WaveletAttrib()

WaveletAttrib::~WaveletAttrib | ( |  | ) |

## Member Function Documentation

## ◆ applyFreqWindow()

void WaveletAttrib::applyFreqWindow | ( | const ArrayNDWindow & | ,
|  | int | padfac,
|  | Array1DImpl< float > & | )

## ◆ getAvgPhase()

float WaveletAttrib::getAvgPhase | ( | bool | degree = false | ) | const

## ◆ getCosTapered()

void WaveletAttrib::getCosTapered | ( | float * | ,
|  | float | ) const

## ◆ getFreqFiltered()

bool WaveletAttrib::getFreqFiltered | ( | float * | ,
|  | float | f1,
|  | float | f2,
|  | float | f3,
|  | float | f4 ) const

Parameters

  f1,f2,f3,f4 | See FFTFiter class

## ◆ getFrequency()

void WaveletAttrib::getFrequency | ( | Array1DImpl< float > & | ,
|  | int | padfac = 1 )

## ◆ getHilbert()

void WaveletAttrib::getHilbert | ( | Array1DImpl< float > & |  | ) | const

## ◆ getPhase()

void WaveletAttrib::getPhase | ( | Array1DImpl< float > & | ,
|  | bool | degree = false ) const

## ◆ getPhaseRotated()

void WaveletAttrib::getPhaseRotated | ( | float * | ,
|  | float | phase ) const

Parameters

  phase | angle in radians

## ◆ getWaveletArrForPhase()

void WaveletAttrib::getWaveletArrForPhase | ( | Array1DImpl< float > & |  | ) | const
| protected

## ◆ isNormalPolarity()

bool WaveletAttrib::isNormalPolarity | ( |  | ) | const

## ◆ muteZeroFrequency()

static void WaveletAttrib::muteZeroFrequency | ( | Array1DImpl< float > & |  | ) |
| static

## ◆ setNewWavelet()

void WaveletAttrib::setNewWavelet | ( | const Wavelet & |  | ) |

## ◆ transform()

void WaveletAttrib::transform | ( | Array1D< float_complex > & | ,
|  | int | sz = -1 )

## ◆ transformBack()

static void WaveletAttrib::transformBack | ( | const Array1D< float_complex > & | fftwvlt,
|  | Array1D< float > & | wvlt )
| static

## ◆ unwrapPhase()

static void WaveletAttrib::unwrapPhase | ( | int | nrsamples,
|  | float | wrapparam,
|  | float * | phase )
| static

## Member Data Documentation

## ◆ centersample_

int WaveletAttrib::centersample_
| protected

## ◆ sr_

float WaveletAttrib::sr_
| protected

## ◆ wvltarr_

Array1DImpl<float>* WaveletAttrib::wvltarr_
| protected

## ◆ wvltsz_

int WaveletAttrib::wvltsz_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025